urpm::select(3)

NAME
urpm::select - package selection routines for urpmi

SYNOPSIS

DESCRIPTION

search_packages($urpm, $packages, $names, %options)
    Search packages registered by their names by storing their ids into the $packages hash.

    Returns either 0 (error), 1 (OK) or 'substring' (fuzzy match).

    Recognized options:

    •   all

    •   caseinsensitive

    •   fuzzy

    •   no_substring: in --auto, do not allow to install a package substring match (you can use -a to force it)

    •   src

    •   use_provides

resolve_dependencies($urpm, $state, $requested, %options)
    Resolves dependencies between requested packages (and auto selection if any). Handles parallel option if any.

    The return value is true if program should be restarted (in order to take care of important packages being upgraded (priority upgrades)

    $state->{selected} will contain the selection of packages to be installed or upgraded

    %options :

    •   auto_select

    •   install_src

    •   priority_upgrade

    %options passed to ->resolve_requested:

    •   callback_choices

    •   keep

    •   nodeps

    •   no_recommends

find_packages_to_remove($urpm, $state, $l, %options)
    Find packages to remove.

    Options:

    •   callback_base

    •   callback_fuzzy

    •   callback_notfound

    •   force

    •   matches

    •   test

unselected_packages($state)
    misc functions to help finding ask_unselect and ask_remove elements with their reasons translated.

already_installed($state)
    misc functions to help finding ask_unselect and ask_remove elements with their reasons translated.